[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Executable stack problems


I've installed a kernel with the executable stack patch. There has been two
programs I have encountered segfaults with(so far). Both problems are gone 
after I set them with chstk.
I believe they were using trampolines (I had intentionally disabled
trampoline usage, and want to strip off the chstk hack on the long run).
I believe we should mandate that all of our packages should avoid executing
the stack.
The problematic packages:
apache-ssl 1.2.0+1.8-2 (the apache-ssl binary)
qmail 1.01-1 (the qmail-lspawn binary)

Setting chstk -e on the former is asking for trouble...

I also want to know what has caused those problems trying execute the path.
I believe that the compiler used to create them vas the wrong version....

GNU GPL: csak tiszta forrásból

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org .
Trouble?  e-mail to templin@bucknell.edu .

Reply to: